Bug 857173 - Reloading or entering URL while on org select interstitial leaves the user on a "no org" dashboard page
Reloading or entering URL while on org select interstitial leaves the user on...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 14:00 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (24.09 KB, image/png)
2012-09-13 14:00 EDT, Jeff Weiss
no flags Details

  None (edit)
Description Jeff Weiss 2012-09-13 14:00:57 EDT
Created attachment 612533 [details]
screenshot

Description of problem:


Version-Release number of selected component (if applicable):
Katello Version: 1.1.12-1.git.29.d796c20.el6_3 

How reproducible:


Steps to Reproduce:
1. (assuming admin has no default org set, if he does, unset it and log out). 
2. Go to login screen, enter admin/admin
3. Click Login
4. Reload the browser page (or enter https://servername/katello/ in address bar)
  
Actual results:
Taken to a dashboard page with no org selected, no tabs or anything else available.  
Expected results:


Additional info:
I have automation screenshots of this behavior, where the main UI area (below the menu) shows a 403, but I can't reproduce the 403 message, only the no-org state.  See attached screenshot
Comment 3 Eric Helms 2013-05-13 16:57:56 EDT
I cannot reproduce the 403, and I would argue that the behavior of landing on the dashboard with no organization selected is not a bug. This might be a usability issue, but a user is not required to have a selected organization to access the main application (even though if they don't, there is not much they can do other than see their profile and notifications).
Comment 4 Og Maciel 2013-05-13 17:04:27 EDT
I'd argue that this is a regression then, as the expected behavior was that a user should always have a "landing Organization" unless said user has no access yet configured.
Comment 5 Mike McCune 2013-08-16 14:23:09 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 6 Mike McCune 2013-09-19 14:14:17 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.